V12.0

get

/ec-designer-svc/rest/v12.0/studies/{studyId}/versions/{version}/forms/randomizationfactors

Retrieves form questions that can be used as randomization factors in the specified study version. Optional query parameters exclude repeat, lab, or two-section form items, include all number items, and filter by form category. The response returns matching form items with their form and question details.

Request

Path Parameters
Query Parameters

There's no request body for this operation.

Back to Top

Response

Supported Media Types

200 Response

Successful operation.
Body ()
Root Schema : schema
Type: array
Show Source
  • FormItemDto v19.0
    Title: FormItemDto v19.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov19", "numeric":"#/components/schemas/FormNumberItemDtov19", "measurement":"#/components/schemas/FormNumberItemDtov19", "text":"#/components/schemas/FormTextItemDtov19", "choice":"#/components/schemas/FormChoiceItemDtov19", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov19", "table":"#/components/schemas/FormTableItemDtov19", "section":"#/components/schemas/FormSectionalItemDtov19", "label":"#/components/schemas/FormInstructionalTextItemDtov19", "existingData":"#/components/schemas/FormExistingDataItemDtov19", "fileUpload":"#/components/schemas/FormFileUploadItemDto" } }
    Form item returned for a v19.0 study form, including fields used to identify randomization stratification factors.
Nested Schema : FormItemDto v19.0
Type: object
Title: FormItemDto v19.0
Discriminator: questionType

Discriminator Values

Form item returned for a v19.0 study form, including fields used to identify randomization stratification factors.
Show Source
Match One Schema
Show Source
Example:
{
    "questionType":"numeric",
    "id":"4A5C8D0E2F1B4D56A23C9F3A0C7D4E99",
    "formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "formTitle":"Demography",
    "questionLabel":"Age",
    "questionHint":"Age at screening",
    "randomizationTag":true,
    "isStrataFactor":false,
    "isCohortFactor":false,
    "refname":"AGE",
    "required":true,
    "hidden":false,
    "readOnly":false,
    "sdvRequired":"NEVER",
    "sequence":1,
    "smartObject":"AGE",
    "dataClassificationLevel":"view"
}
Nested Schema : advancedProps
Type: array
Show Source
Nested Schema : dataClassificationIds
Type: array
Show Source
Nested Schema : e2br3Mapping
Type: array
Show Source
Nested Schema : FormNumberItemDto v19.0
Type: object
Title: FormNumberItemDto v19.0
Form Number Item Details Information
Match All
Form Number Item Details Information
Form Number Item Details Information
Show Source
  • FormItemDto v19.0
    Title: FormItemDto v19.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov19", "numeric":"#/components/schemas/FormNumberItemDtov19", "measurement":"#/components/schemas/FormNumberItemDtov19", "text":"#/components/schemas/FormTextItemDtov19", "choice":"#/components/schemas/FormChoiceItemDtov19", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov19", "table":"#/components/schemas/FormTableItemDtov19", "section":"#/components/schemas/FormSectionalItemDtov19", "label":"#/components/schemas/FormInstructionalTextItemDtov19", "existingData":"#/components/schemas/FormExistingDataItemDtov19", "fileUpload":"#/components/schemas/FormFileUploadItemDto" } }
    Form item returned for a v19.0 study form, including fields used to identify randomization stratification factors.
  • FormNumberItemDto v19.0-allOf[1]
Nested Schema : FormChoiceItemDto v19.0
Type: object
Title: FormChoiceItemDto v19.0
Form Choice Item Details Information
Match All
Form Choice Item Details Information
Form Choice Item Details Information
Show Source
  • FormItemDto v19.0
    Title: FormItemDto v19.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov19", "numeric":"#/components/schemas/FormNumberItemDtov19", "measurement":"#/components/schemas/FormNumberItemDtov19", "text":"#/components/schemas/FormTextItemDtov19", "choice":"#/components/schemas/FormChoiceItemDtov19", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov19", "table":"#/components/schemas/FormTableItemDtov19", "section":"#/components/schemas/FormSectionalItemDtov19", "label":"#/components/schemas/FormInstructionalTextItemDtov19", "existingData":"#/components/schemas/FormExistingDataItemDtov19", "fileUpload":"#/components/schemas/FormFileUploadItemDto" } }
    Form item returned for a v19.0 study form, including fields used to identify randomization stratification factors.
  • FormChoiceItemDto v19.0-allOf[1]
Nested Schema : FormTextItemDto v19.0
Type: object
Title: FormTextItemDto v19.0
Form text Item Details Information
Match All
Form text Item Details Information
Form text Item Details Information
Show Source
  • FormItemDto v19.0
    Title: FormItemDto v19.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov19", "numeric":"#/components/schemas/FormNumberItemDtov19", "measurement":"#/components/schemas/FormNumberItemDtov19", "text":"#/components/schemas/FormTextItemDtov19", "choice":"#/components/schemas/FormChoiceItemDtov19", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov19", "table":"#/components/schemas/FormTableItemDtov19", "section":"#/components/schemas/FormSectionalItemDtov19", "label":"#/components/schemas/FormInstructionalTextItemDtov19", "existingData":"#/components/schemas/FormExistingDataItemDtov19", "fileUpload":"#/components/schemas/FormFileUploadItemDto" } }
    Form item returned for a v19.0 study form, including fields used to identify randomization stratification factors.
  • FormTextItemDto v19.0-allOf[1]
Nested Schema : FormDatetimeItemDto v19.0
Type: object
Title: FormDatetimeItemDto v19.0
Form DateTime Item Details Information
Match All
Form DateTime Item Details Information
Form DateTime Item Details Information
Show Source
  • FormItemDto v19.0
    Title: FormItemDto v19.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov19", "numeric":"#/components/schemas/FormNumberItemDtov19", "measurement":"#/components/schemas/FormNumberItemDtov19", "text":"#/components/schemas/FormTextItemDtov19", "choice":"#/components/schemas/FormChoiceItemDtov19", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov19", "table":"#/components/schemas/FormTableItemDtov19", "section":"#/components/schemas/FormSectionalItemDtov19", "label":"#/components/schemas/FormInstructionalTextItemDtov19", "existingData":"#/components/schemas/FormExistingDataItemDtov19", "fileUpload":"#/components/schemas/FormFileUploadItemDto" } }
    Form item returned for a v19.0 study form, including fields used to identify randomization stratification factors.
  • FormDatetimeItemDto v19.0-allOf[1]
Nested Schema : FormQuestionGroupItemDto v19.0
Type: object
Title: FormQuestionGroupItemDto v19.0
Form Question Group Item Details Information
Match All
Form Question Group Item Details Information
Show Source
  • FormItemDto v19.0
    Title: FormItemDto v19.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov19", "numeric":"#/components/schemas/FormNumberItemDtov19", "measurement":"#/components/schemas/FormNumberItemDtov19", "text":"#/components/schemas/FormTextItemDtov19", "choice":"#/components/schemas/FormChoiceItemDtov19", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov19", "table":"#/components/schemas/FormTableItemDtov19", "section":"#/components/schemas/FormSectionalItemDtov19", "label":"#/components/schemas/FormInstructionalTextItemDtov19", "existingData":"#/components/schemas/FormExistingDataItemDtov19", "fileUpload":"#/components/schemas/FormFileUploadItemDto" } }
    Form item returned for a v19.0 study form, including fields used to identify randomization stratification factors.
Nested Schema : FormTableItemDto v19.0
Type: object
Title: FormTableItemDto v19.0
Form table Item Details Information
Match All
Form table Item Details Information
Form table Item Details Information
Show Source
  • FormItemDto v19.0
    Title: FormItemDto v19.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov19", "numeric":"#/components/schemas/FormNumberItemDtov19", "measurement":"#/components/schemas/FormNumberItemDtov19", "text":"#/components/schemas/FormTextItemDtov19", "choice":"#/components/schemas/FormChoiceItemDtov19", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov19", "table":"#/components/schemas/FormTableItemDtov19", "section":"#/components/schemas/FormSectionalItemDtov19", "label":"#/components/schemas/FormInstructionalTextItemDtov19", "existingData":"#/components/schemas/FormExistingDataItemDtov19", "fileUpload":"#/components/schemas/FormFileUploadItemDto" } }
    Form item returned for a v19.0 study form, including fields used to identify randomization stratification factors.
  • FormTableItemDto v19.0-allOf[1]
Nested Schema : FormSectionalItemDto v19.0
Type: object
Title: FormSectionalItemDto v19.0
Form Section Item Details Information
Match All
Form Section Item Details Information
Show Source
  • FormItemDto v19.0
    Title: FormItemDto v19.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov19", "numeric":"#/components/schemas/FormNumberItemDtov19", "measurement":"#/components/schemas/FormNumberItemDtov19", "text":"#/components/schemas/FormTextItemDtov19", "choice":"#/components/schemas/FormChoiceItemDtov19", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov19", "table":"#/components/schemas/FormTableItemDtov19", "section":"#/components/schemas/FormSectionalItemDtov19", "label":"#/components/schemas/FormInstructionalTextItemDtov19", "existingData":"#/components/schemas/FormExistingDataItemDtov19", "fileUpload":"#/components/schemas/FormFileUploadItemDto" } }
    Form item returned for a v19.0 study form, including fields used to identify randomization stratification factors.
Nested Schema : FormLabelItemDto
Type: object
Match All
Show Source
  • FormItemDto v21.0
    Title: FormItemDto v21.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov21", "numeric":"#/components/schemas/FormNumberItemDtov21", "measurement":"#/components/schemas/FormNumberItemDtov21", "text":"#/components/schemas/FormTextItemDtov21", "choice":"#/components/schemas/FormChoiceItemDtov21", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov21", "table":"#/components/schemas/FormTableItemDtov21", "section":"#/components/schemas/FormSectionalItemDtov21", "label":"#/components/schemas/FormLabelItemDto", "instructionalText":"#/components/schemas/FormInstructionalTextItemDtov21", "existingData":"#/components/schemas/FormExistingDataItemDtov21", "fileUpload":"#/components/schemas/FormFileUploadItemDtov21" } }
    Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
  • FormLabelItemDto-allOf[1]
Nested Schema : FormInstructionalTextItem v19.0
Type: object
Title: FormInstructionalTextItem v19.0
Instructional information about the form or question
Match All
Instructional information about the form or question
Instructional information about the form or question
Show Source
  • FormItemDto v19.0
    Title: FormItemDto v19.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov19", "numeric":"#/components/schemas/FormNumberItemDtov19", "measurement":"#/components/schemas/FormNumberItemDtov19", "text":"#/components/schemas/FormTextItemDtov19", "choice":"#/components/schemas/FormChoiceItemDtov19", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov19", "table":"#/components/schemas/FormTableItemDtov19", "section":"#/components/schemas/FormSectionalItemDtov19", "label":"#/components/schemas/FormInstructionalTextItemDtov19", "existingData":"#/components/schemas/FormExistingDataItemDtov19", "fileUpload":"#/components/schemas/FormFileUploadItemDto" } }
    Form item returned for a v19.0 study form, including fields used to identify randomization stratification factors.
  • FormInstructionalTextItem v19.0-allOf[1]
Nested Schema : FormExistingDataItemDtov19
Type: object
Form existing data item Information
Match All
Form existing data item Information
Form existing data item Information
Show Source
  • FormItemDto v19.0
    Title: FormItemDto v19.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov19", "numeric":"#/components/schemas/FormNumberItemDtov19", "measurement":"#/components/schemas/FormNumberItemDtov19", "text":"#/components/schemas/FormTextItemDtov19", "choice":"#/components/schemas/FormChoiceItemDtov19", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov19", "table":"#/components/schemas/FormTableItemDtov19", "section":"#/components/schemas/FormSectionalItemDtov19", "label":"#/components/schemas/FormInstructionalTextItemDtov19", "existingData":"#/components/schemas/FormExistingDataItemDtov19", "fileUpload":"#/components/schemas/FormFileUploadItemDto" } }
    Form item returned for a v19.0 study form, including fields used to identify randomization stratification factors.
  • FormExistingDataItemDtov19-allOf[1]
Nested Schema : FormFileUploadItemDto
Type: object
Match All
Show Source
  • FormItemDto v19.0
    Title: FormItemDto v19.0
    Discriminator: { "propertyName":"questionType", "mapping":{ "datetime":"#/components/schemas/FormDatetimeItemDtov19", "numeric":"#/components/schemas/FormNumberItemDtov19", "measurement":"#/components/schemas/FormNumberItemDtov19", "text":"#/components/schemas/FormTextItemDtov19", "choice":"#/components/schemas/FormChoiceItemDtov19", "questionGroup":"#/components/schemas/FormQuestionGroupItemDtov19", "table":"#/components/schemas/FormTableItemDtov19", "section":"#/components/schemas/FormSectionalItemDtov19", "label":"#/components/schemas/FormInstructionalTextItemDtov19", "existingData":"#/components/schemas/FormExistingDataItemDtov19", "fileUpload":"#/components/schemas/FormFileUploadItemDto" } }
    Form item returned for a v19.0 study form, including fields used to identify randomization stratification factors.
Nested Schema : From Item Advanced Property v19.0
Type: object
Title: From Item Advanced Property v19.0
Form Item Advanced Property
Show Source
Nested Schema : rules
Type: array
Show Source
Nested Schema : From Item Advanced Property Rule v19.0
Type: object
Title: From Item Advanced Property Rule v19.0
Form Item Advanced Property Rule
Show Source
  • For RolloverQuestion property it is an ECDV_CODELISTITEM.VALUE
    Example: Yes
  • name
    Example: RolloverQuestionAnswer
  • For RolloverQuestion property it is an ECDV_CODELISTITEM.CODELISTITEM_ID
    Example: B1B8327AFAA6412287106192AB5984EF
Nested Schema : FormNumberItemDto v19.0-allOf[1]
Type: object
Show Source
Nested Schema : FormChoiceItemDto v19.0-allOf[1]
Type: object
Show Source
Nested Schema : advancedProps
Type: array
Show Source
Nested Schema : options
Type: array
Show Source
Nested Schema : From Item Advanced Property With Parent v19.0
Type: object
Title: From Item Advanced Property With Parent v19.0
Form Item Advanced Property with Parent Info
Show Source
Nested Schema : rules
Type: array
Show Source
Nested Schema : FormOptionDto v19.0
Type: object
Title: FormOptionDto v19.0
Form choice item option details
Show Source
  • Codelist code for a one specific choice.
    Example: 1
  • Minimum Length: 1
    Maximum Length: 4000
    Codelist description for a one specific choice.
    Example: 1
  • Codelist item id for a one specific choice.
  • Codelist value for a one specific choice.
    Example: 1
  • Is form item option hidden?
    Example: false
  • Minimum Length: 1
    Maximum Length: 4000
    Form choice selectbox label for a one specific choice.
    Example: Female
  • Minimum Length: 1
    Maximum Length: 4000
    Form choice sequence value for a one specific choice.
    Example: 1
  • Minimum Length: 1
    Maximum Length: 4000
    Form choice selectbox value for a one specific choice.
    Example: 1
Nested Schema : FormTextItemDto v19.0-allOf[1]
Type: object
Show Source
Nested Schema : FormDatetimeItemDto v19.0-allOf[1]
Type: object
Show Source
Nested Schema : FormTableItemDto v19.0-allOf[1]
Type: object
Show Source
Nested Schema : FormItemDto v21.0
Type: object
Title: FormItemDto v21.0
Discriminator: questionType

Discriminator Values

Base schema for a form item returned from a study form. The questionType value identifies the concrete item schema.
Show Source
Match One Schema
Show Source
Example:
{
    "questionType":"text",
    "id":"9E0F5C16D8A94C5E9E0F5C16D8A94C5E",
    "formId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "visitIds":[
        "7B4F1B4C9E874845A67B2A83251F9012"
    ],
    "formTitle":"Demographics",
    "questionLabel":"Subject Initials",
    "questionHint":"Enter the subject initials.",
    "refname":"SUBJ_INIT",
    "required":true,
    "dynamic":0,
    "hidden":false,
    "readOnly":false,
    "sdvRequired":"NEVER",
    "sequence":1,
    "groupSequence":1,
    "sasVariable":"SUBJINIT",
    "sasLabel":"Subject Initials"
}
Nested Schema : FormLabelItemDto-allOf[1]
Type: object
Show Source
Nested Schema : advancedProps
Type: array
Show Source
Nested Schema : options
Type: array
Show Source
Nested Schema : FormItemAdvancedPropWithParentDto v21.0
Type: object
Title: FormItemAdvancedPropWithParentDto v21.0
Advanced property associated with a form item and its parent object.
Show Source
Example:
{
    "id":"B1B8327AFAA6412287106192AB5984EF",
    "type":"AssignedVisit",
    "name":"Visit",
    "value":"D3D8327AFAA6412287106192AB5984EF",
    "label":"Screening",
    "parentObjectId":"2F9A6C7E1B8F4D56A23C9F3A0C7D4E11",
    "parentObjectLabel":"Demographics",
    "parentObjectLevel":"FORM"
}
Nested Schema : rules
Type: array
Advanced property rules list.
Show Source
Example:
[
    {
        "name":"RolloverQuestionAnswer",
        "value":"B1B8327AFAA6412287106192AB5984EF",
        "label":"Yes"
    }
]
Nested Schema : FormItemAdvancedPropRuleDto v21.0
Type: object
Title: FormItemAdvancedPropRuleDto v21.0
Rule entry for a form item advanced property.
Show Source
Example:
{
    "name":"RolloverQuestionAnswer",
    "value":"YES",
    "label":"Yes"
}
Nested Schema : FormOptionDto v21.0
Type: object
Title: FormOptionDto v21.0
Selectable option returned for a choice form item.
Show Source
  • Codelist code for the choice option when linked to a codelist.
    Example: F
  • Minimum Length: 1
    Maximum Length: 4000
    Codelist description for the choice option when linked to a codelist.
    Example: Female
  • Codelist item ID for the choice option (UUID, 32-character uppercase hexadecimal string).
  • Codelist value for the choice option when linked to a codelist.
    Example: Female
  • Is form item option hidden?
    Example: false
  • Minimum Length: 1
    Maximum Length: 4000
    Display label for the choice option.
    Example: Female
  • Minimum Length: 1
    Maximum Length: 4000
    Sequence value for ordering the choice option.
    Example: 1
  • Minimum Length: 1
    Maximum Length: 4000
    Stored answer value for the choice option.
    Example: F
Example:
{
    "label":"Female",
    "value":"F",
    "clCode":"F",
    "clDescription":"Female",
    "clValue":"Female",
    "clItemId":"1F4A6C7E1B8F4D56A23C9F3A0C7D4E21",
    "hidden":false,
    "optionSeq":"1"
}
Nested Schema : FormInstructionalTextItem v19.0-allOf[1]
Type: object
Show Source
Nested Schema : FormExistingDataItemDtov19-allOf[1]
Type: object
Show Source
  • Codelist name for existing data, must be a value from ExistingDataLabels codelist
    Example: EDLSite
  • Codelist value specifying existing data, must be a value from codelist defined in codeName
    Example: SiteName
Examples

500 Response

Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Body ()
Root Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Example:
{
    "field":"studyId",
    "reason":"Invalid value"
}
Back to Top